Skip to main content
`Ctrl`+`K`

# TSAlphaSetRadius

sets the desired spectral radius of the method for `TSALPHA` (i.e. high-frequency numerical damping)

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAlphaSetRadius(TS ts, PetscReal radius)

Logically Collective

## Input Parameters

- ts - timestepping context

- radius - the desired spectral radius

## Options Database Key

- -ts_alpha_radius radius - set alpha radius

## Notes

The algorithmic parameters \(\alpha_m\) and \(\alpha_f\) of the generalized-\(\alpha\) method can be computed in terms of a specified spectral radius \(\rho\) in [0, 1] for infinite time step in order to control high-frequency numerical damping:

\[ \begin{align*} \alpha_m = 0.5*(3-\rho)/(1+\rho) \\ \alpha_f = 1/(1+\rho) \end{align*} \]

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSALPHA`, `TSAlphaSetParams()`, `TSAlphaGetParams()`

## Level

intermediate

## Location

src/ts/impls/implicit/alpha/alpha1.c

## Implementations

TSAlphaSetRadius_Alpha() in src/ts/impls/implicit/alpha/alpha1.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages